/**********************************************************************************/
/*                                                                                */
/* File:   bsp.cpp                                                                */
/* Author: bkenwright@xbdev.net                                                   */
/* URL:    www.xbdev.net                                                          */
/* Date:   22-12-2005 (xmas)                                                      */
/*                                                                                */
/**********************************************************************************/

#include <stdio.h>                                  // fopen(..), fclose(..)

#include <assert.h>									// assert(..)

#include "bsp.h"									// CBSP class


//-----------------------Write Debug Feedback Information-------------------------//
void ErrLog(char *str)
{
	FILE *fp = fopen("ErrLog.txt", "a+");
	fprintf(fp, "%s", str);
	fclose(fp);
}

////-------------------------- Program Entry Point ---------------------------------//
//void main()
//{
//	abc("<->Opening File\n\n");
//
//	// Open BSP File
//	FILE * fp = fopen(SZ_FILE_BSP, "rb");
//	
//	// Temporary Buffer
//	stHeader Data;
//	fread(&Data,					// Buffer
//		  sizeof(stHeader),			// Size
//		  1,						// Number of times
//		  fp);						// File Pointer
//
//	// Temp string buffer
//	char buf[100];
//	sprintf(buf, "<?>stHeader:cMagic = %c%c%c%c\n", 
//				 Data.cMagic[0],	// 'I'
//				 Data.cMagic[1],	// 'B'
//				 Data.cMagic[2],	// 'S'
//				 Data.cMagic[3]);	// 'P'
//	abc(buf);
//
//	sprintf(buf, "<?>stHeader:ver = 0x%X\n\n", 
//				 Data.nVersion);	// 0x2E for Quake3
//	abc(buf);
//
//	// Get the pointer to our array of lumps
//	stLump * pLumps = Data.Lumps;
//	// Display all the different types of Lumps
//	for(int i=0; i<17; i++)
//	{
//		
//		sprintf(buf, "<?>\tLump:(%d):%s"
//					 "FileOffset: 0x%X"
//					 "Length: 0x%X\n", 
//			         i+1,
//					 szBSPTYPES[i],
//					 pLumps[i].nFileofs,
//					 pLumps[i].nFileLen);
//		abc(buf);
//	}
//
////------------------------------------Vertices------------------------------------//
//	stLump * pLump = &pLumps[enVertices];
//	fseek(	fp,
//			pLump->nFileofs,
//			SEEK_SET );
//
//	char * pVData = new char[pLump->nFileLen];
//
//	assert(pVData);
//
//	fread(	pVData,				// Buffer
//			1,					// Size
//			pLump->nFileLen,	// Number of times
//			fp );				// File Pointer
//
//	stVertex * pVerts = 0;
//	pVerts = (stVertex*)pVData;
//
//	int nNumVerts = pLump->nFileLen / sizeof(stVertex); 
//
//	sprintf(buf, "\n<?>Num Vertices: %d\n", nNumVerts);
//	abc(buf);
//
//	for(i=0; i<nNumVerts; i++)
//	{
//		// We will only display some of the information
//		sprintf(buf,"<?>Point:(%.2f,%.2f,%.2f) "
//					"Normal(%.2f,%.2f,%.2f) "
//					"RGBA(0x%X)\n",
//					pVerts[i].vPoint[0], // x
//					pVerts[i].vPoint[1], // y
//					pVerts[i].vPoint[2], // z
//					pVerts[i].vNormal[0],// nx
//					pVerts[i].vNormal[1],// ny
//					pVerts[i].vNormal[2],// nz
//					pVerts[i].RGBA );    // rgba
//		abc(buf);
//
//	}//End for i
//
//	delete[] pVData;
//
////------------------------------------ Faces -------------------------------------//
//	pLump = &pLumps[enFaces];
//	fseek(	fp,
//			pLump->nFileofs,
//			SEEK_SET );
//
//	char * pFData = new char[pLump->nFileLen];
//
//	assert(pFData);
//
//	fread(	pFData,				// Buffer
//			pLump->nFileLen,	// Size
//			1,					// Number of times
//			fp );				// File Pointer
//
//	stFace * pFaces = 0;
//	pFaces = (stFace*)pFData;
//
//	int nNumFaces = pLump->nFileLen / sizeof(stFace); 
//
//	// Display Information
//	sprintf(buf, "\n<?>Num Faces: %d\n", nNumFaces);
//	abc(buf);
//
//	for(i=0; i<nNumFaces; i++)
//	{
//		// We will only display some of the information
//		sprintf(buf,"<?>FirstVert(%d)  "
//					"NumVerts(%d) "
//					"FirstMeshVert(%d) "
//					"NumMeshVerts(%d) \n",
//					pFaces[i].FirstVert,
//					pFaces[i].NumVerts,
//					pFaces[i].nFirstMeshVerts,
//					pFaces[i].NumMeshVerts);
//		abc(buf);
//
//	}//End for i
//
//	delete[] pFData;
//
//	abc("\n<->Closing File\n");
//	// Close BSP File
//	fclose(fp);
//}//End main()














